Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Interface Configurable

All Known Subinterfaces:
  FileSetCheck

All Known Implementing Classes:
  AbstractBeanCheck, AbstractClassCouplingCheck, AbstractClassNameCheck, AbstractComplexityCheck, AbstractFileSetCheck, AbstractFormatCheck, AbstractHeaderCheck, AbstractIllegalCheck, AbstractInterfaceCheck, AbstractJ2eeCheck, AbstractNameCheck, AbstractNestedDepthCheck, AbstractOptionCheck, AbstractSuperCheck, AbstractTypeAwareCheck, AbstractViolationReporter, AnonInnerLengthCheck, ArrayTrailingCommaCheck, ArrayTypeStyleCheck, AutomaticBean, AvoidInlineConditionalsCheck, AvoidNestedBlocksCheck, AvoidStarImportCheck, BooleanExpressionComplexityCheck, Check, Checker, ClassDataAbstractionCouplingCheck, ClassFanOutComplexityCheck, ConstantNameCheck, CovariantEqualsCheck, CrossLanguageRegexpHeaderCheck, CyclomaticComplexityCheck, DeclarationCollector, DeclarationOrderCheck, DefaultComesLastCheck, DefaultLogger, DescendantTokenCheck, DesignForExtensionCheck, DoubleCheckedLockingCheck, EmptyBlockCheck, EmptyForInitializerPadCheck, EmptyForIteratorPadCheck, EmptyStatementCheck, EntityBeanCheck, EqualsHashCodeCheck, ExecutableStatementCountCheck, ExplicitInitializationCheck, FallThroughCheck, FileContentsHolder, FileLengthCheck, FinalClassCheck, FinalLocalVariableCheck, FinalParametersCheck, FinalStaticCheck, GenericIllegalRegexpCheck, HeaderCheck, HiddenFieldCheck, HideUtilityClassConstructorCheck, IllegalCatchCheck, IllegalImportCheck, IllegalInstantiationCheck, IllegalThrowsCheck, IllegalTokenCheck, IllegalTokenTextCheck, IllegalTypeCheck, ImportControlCheck, ImportOrderCheck, IndentationCheck, InnerAssignmentCheck, InterfaceIsTypeCheck, JavadocMethodCheck, JavadocStyleCheck, JavadocTypeCheck, JavadocVariableCheck, JavaNCSSCheck, JUnitTestCaseCheck, LeftCurlyCheck, LineLengthCheck, LocalFinalVariableNameCheck, LocalHomeInterfaceCheck, LocalInterfaceCheck, LocalVariableNameCheck, MagicNumberCheck, MemberNameCheck, MessageBeanCheck, MethodLengthCheck, MethodNameCheck, MethodParamPadCheck, MissingCtorCheck, MissingSwitchDefaultCheck, ModifiedControlVariableCheck, ModifierOrderCheck, MultipleStringLiteralsCheck, MultipleVariableDeclarationsCheck, MutableExceptionCheck, NeedBracesCheck, NestedIfDepthCheck, NestedTryDepthCheck, NewlineAtEndOfFileCheck, NoWhitespaceAfterCheck, NoWhitespaceBeforeCheck, NPathComplexityCheck, OperatorWrapCheck, PackageDeclarationCheck, PackageHtmlCheck, PackageNameCheck, ParameterAssignmentCheck, ParameterNameCheck, ParameterNumberCheck, ParenPadCheck, RedundantImportCheck, RedundantModifierCheck, RedundantThrowsCheck, RegexpCheck, RegexpHeaderCheck, RemoteHomeInterfaceCheck, RemoteInterfaceCheck, RequiredRegexpCheck, RequireThisCheck, ReturnCountCheck, RightCurlyCheck, SessionBeanCheck, SeverityMatchFilter, SimplifyBooleanExpressionCheck, SimplifyBooleanReturnCheck, StaticVariableNameCheck, StrictDuplicateCodeCheck, StringLiteralEqualityCheck, SuperCloneCheck, SuperFinalizeCheck, SuppressionCommentFilter, SuppressionFilter, TabCharacterCheck, ThisParameterCheck, ThisReturnCheck, ThrowsCountCheck, TodoCommentCheck, TrailingCommentCheck, TranslationCheck, TreeWalker, TypecastParenPadCheck, TypeNameCheck, UncommentedMainCheck, UnnecessaryParenthesesCheck, UnusedImportsCheck, UpperEllCheck, VisibilityModifierCheck, WhitespaceAfterCheck, WhitespaceAroundCheck, WriteTagCheck, XMLLogger

    public interface Configurable

A component that can be configured. The general idea of Configuration/Configurable was taken from Jakarta's Avalon framework.

Author:
  lkuehne

Method Summary
`void` | `configure(Configuration aConfiguration)` Configures this component.

Method Detail

### configure

    void configure(Configuration aConfiguration)
                   throws CheckstyleException

  Configures this component.

  Parameters:
    `aConfiguration` - the configuration to use.
  Throws:
    `CheckstyleException` - if there is a configuration error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD